Infront Data Manager Connect Client (.NET)

Public Member Functions | List of all members
Gevasys.DataCore.StaticData.Http.RetransmitStore Class Reference

More...

Inherits Gevasys.DataCore.StaticData.IRetransmitStore.

## Public Member Functions
| RetransmitStore (IRetransmitConsumer primaryConsumer, IRetransmitConsumer secondaryConsumer)
| Default constructor. More...
bool | Initialize ()
| Initialize the data store. More...
void | Stop ()
| Stops the data store. More...
void | Start ()
| Starts the data store. More...
void | RequestRetransmit (RetransmitRequestMessage request, IAsyncCallback callback)
| Requests a retransmit. More...
bool | GetIsAlive ()
| Indicates if the store is alive or death. More...

## Detailed Description

Manages a primary and a backup retransmit consumer.

Instances of RetransmitStore are created via CreateConfiguredRetransmitStore Method.

RetransmitStore rs1 = configHelper.CreateConfiguredRetransmitStore("RT1", rtClient);

## Constructor & Destructor Documentation

## ◆ RetransmitStore()

Gevasys.DataCore.StaticData.Http.RetransmitStore.RetransmitStore | ( | IRetransmitConsumer | primaryConsumer,
|  | IRetransmitConsumer | secondaryConsumer
| ) |  |
| inline

Default constructor.

Parameters

  primaryConsumer | Primary routing data consumer.
  secondaryConsumer | Backup routing data consumer.

## Member Function Documentation

## ◆ GetIsAlive()

bool Gevasys.DataCore.StaticData.Http.RetransmitStore.GetIsAlive | ( |  | ) |
| inline

Indicates if the store is alive or death.

Returns
  True if the store is alive.

## ◆ Initialize()

bool Gevasys.DataCore.StaticData.Http.RetransmitStore.Initialize | ( |  | ) |
| inline

Initialize the data store.

Returns

## ◆ RequestRetransmit()

void Gevasys.DataCore.StaticData.Http.RetransmitStore.RequestRetransmit | ( | RetransmitRequestMessage | request,
|  | IAsyncCallback | callback
| ) |  |
| inline

Requests a retransmit.

Parameters

  request | Request message.

## ◆ Start()

void Gevasys.DataCore.StaticData.Http.RetransmitStore.Start | ( |  | ) |
| inline

Starts the data store.

## ◆ Stop()

void Gevasys.DataCore.StaticData.Http.RetransmitStore.Stop | ( |  | ) |
| inline

Stops the data store.

The documentation for this class was generated from the following file:

- RetransmitStore.cs

Gevasys.DataCore.StaticData.Http.RetransmitStore.RetransmitStore
RetransmitStore(IRetransmitConsumer primaryConsumer, IRetransmitConsumer secondaryConsumer)
Default constructor.
Definition: RetransmitStore.cs:33

Copyright (C) 2021 Infront Financial Technology GmbH
Mainzer Landstrasse 178 – 190
60327 Frankfurt am Main
Infront Data Manager Connect V4.1